Installing pycharm error

Trying to install PyCharm on the Jetson Nano. I’ve downloaded and extracted the files from Jetbrain website. Ran “apt-get install openjdk-8-jdk”. However when I launch “./pycharm.sh”, I get the following error message;
“java.lang.UnsupportedClassVersionError” Then a note saying the file was compiled by Java Runtime class file version 55.0, This Java Runtime recognizes class up to 52.0"
What do I need to do to fix this error?
Thank you

Hi,

The latest PyCharm requires newer JAVA runtime.
Could you try the below command and compile it again?

$ sudo apt-get install openjdk-11-jdk

Thanks.

Will do.

Thank you very much!!

That did the trick. Loaded the newer JAVA runtime was successful in getting PyCharm running on the NANO.

Thank you very much for your help!!!

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.